> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/yardi-rest/leases/get-all-lease-transfers/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get all Lease Transfers GET https://api.propexo.com/v1/lease-transfers/ Get all Lease Transfers Reference: https://docs.propexo.com/api-reference/yardi-rest/leases/get-all-lease-transfers ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query - `x_id` (string, optional) — The external ID from the integration vendor - `x_property_id` (string, optional) — The external ID of the property from the integration vendor - `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations. - `property_id` (string, optional) — The Propexo unique identifier for the property - `resident_id` (string, optional) — The Propexo unique identifier for the resident - `lease_id_next` (string, optional) — The Propexo unique identifier for the next lease - `lease_id_previous` (string, optional) — The Propexo unique identifier for the previous lease - `unit_id_next` (string, optional) — The Propexo unique identifier for the next unit - `unit_id_previous` (string, optional) — The Propexo unique identifier for the previous unit - `integration_id` (string, optional) — The Propexo unique identifier for the integration - `integration_vendor` (enum, optional) — The property management system of record - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST` ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (list of LeaseTransfer, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### LeaseTransfer - `id` (string, required) — The Propexo unique identifier for the lease transfer - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for YARDI\_REST - `x_resident_id` (string, required) — The external ID of the resident from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `x_lease_id_next` (string, required) — The external ID of the next lease from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `x_lease_property_id_next` (string, required, nullable) — The external ID of the property associated with the next lease from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `x_lease_id_previous` (string, required) — The external ID of the previous lease from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `x_lease_property_id_previous` (string, required, nullable) — The external ID of the property associated with the previous lease from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `x_unit_id_next` (string, required, nullable) — The external ID of the next unit from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `x_unit_id_previous` (string, required, nullable) — The external ID of the previous unit from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `resident_type` (string, required, nullable) — The normalized type of the resident | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `resident_type_raw` (string, required, nullable) — The raw type of the resident | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `lease_status_next` (string, required, nullable) — The normalized status of the next lease | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `lease_status_next_raw` (string, required, nullable) — The raw status of the next lease | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `lease_status_previous` (string, required, nullable) — The normalized status of the previous lease | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `lease_status_previous_raw` (string, required, nullable) — The raw status of the previous lease | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `transfer_effective_date` (string, required, nullable) — The effective date of the lease transfer | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `integration_id` (string, required) — The Propexo unique identifier for the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `YARDI_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI` - `property_id` (string, required) — The Propexo unique identifier for the property - `resident_id` (string, required) — The Propexo unique identifier for the resident | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `lease_id_next` (string, required) — The Propexo unique identifier for the next lease | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `lease_id_previous` (string, required) — The Propexo unique identifier for the previous lease | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `unit_id_next` (string, required, nullable) — The Propexo unique identifier for the next unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | - `unit_id_previous` (string, required, nullable) — The Propexo unique identifier for the previous unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitTransferData | Common Data | ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ## Examples **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "cm2dtyq1600008loze5xgf3fb", "x_property_id": "cm2dtyq1600008loze5xgf3fb", "x_location_id": null, "x_resident_id": "cm2dtyq1600008loze5xgf3fb", "x_lease_id_next": "cm2dtyq1600008loze5xgf3fb", "x_lease_property_id_next": "cm2dtyq1600008loze5xgf3fb", "x_lease_id_previous": "clwqjwc1e000008i7fnrrayzc", "x_lease_property_id_previous": "clwqjwc1e000008i7fnrrayzc", "x_unit_id_next": "cm2dtyq1600008loze5xgf3fb", "x_unit_id_previous": "clwqjwc1e000008i7fnrrayzc", "resident_type": "PRIMARY", "resident_type_raw": "main", "lease_status_next": "ACTIVE", "lease_status_next_raw": "active", "lease_status_previous": "ACTIVE", "lease_status_previous_raw": "active", "transfer_effective_date": "2024-07-01T00:00:00.000Z", "integration_id": "clwh5u07w000508me66sfh3um", "integration_vendor": "YARDI_REST", "property_id": "clwi5xiix000008l6ctdgafyh", "resident_id": "cm2dtyq1600008loze5xgf3fb", "lease_id_next": "cm2dtyq1600008loze5xgf3fb", "lease_id_previous": "clwqjwc1e000008i7fnrrayzc", "unit_id_next": "cm2dtyq1600008loze5xgf3fb", "unit_id_previous": "clwqjwc1e000008i7fnrrayzc" } ] } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/lease-transfers/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/lease-transfers/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/lease-transfers/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/lease-transfers/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/lease-transfers/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/lease-transfers/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/lease-transfers/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/lease-transfers/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```